import { RequestOptions } from './internal-types';
import { ChunkedFile, UploadCallback } from './public-types';
export declare function useChunkUpload<T>(url: string, options?: RequestOptions): {
    uploadFile: (file: File, uid: string, callback?: UploadCallback) => Promise<import("./public-types").ChunkedUploadSuccess<T>>;
    retryUpload: (chunkedFile: ChunkedFile) => Promise<import("./public-types").ChunkedUploadSuccess<T>>;
};
